Bug 1244505 - python-pika 0.10.0 is available (python 3.3+ support added!)
Summary: python-pika 0.10.0 is available (python 3.3+ support added!)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pika
Version: rawhide
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1297899
Blocks: 1194577
TreeView+ depends on / blocked
 
Reported: 2015-07-19 12:51 UTC by Neal Gompa
Modified: 2016-07-10 07:10 UTC (History)
2 users (show)

Fixed In Version: python-pika-0.10.0-3.fc22 python-pika-0.10.0-3.fc23 python-pika-0.10.0-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-21 02:24:17 UTC


Attachments (Terms of Use)
patch for v0.10.0 and add python3 support (6.33 KB, patch)
2016-01-12 22:31 UTC, Raphael Groner
projects.rg: review? (ilia.cheishvili)
Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 767374 None CLOSED Tiny bug in Pika 0.9.5 2019-01-22 20:41:44 UTC
Red Hat Bugzilla 1200017 None CLOSED RFE - Please create an EPEL7 build 2019-01-22 20:41:44 UTC

Internal Links: 767374 1200017

Description Neal Gompa 2015-07-19 12:51:09 UTC
Latest upstream release: 0.10.0b2
Current version/release in Fedora 23 branch/rawhide: python-pika-0.9.5-8.fc23

Pika 0.10.0b2 introduces lots of fixes and improvements over the 0.9.5 release currently packaged, and most importantly, introduces Python 3.3+ support.

Release URL: https://pypi.python.org/pypi/pika/0.10.0b2

Changelog URL: https://github.com/pika/pika/blob/master/CHANGELOG.rst

Please upgrade python-pika and introduce a python3-pika package!

Comment 1 Neal Gompa 2015-07-19 13:07:27 UTC
Oh, and it's also 3-clause BSD licensed now.

Comment 2 Neal Gompa 2015-11-20 15:54:41 UTC
Pika 0.10.0 final has been released: https://pypi.python.org/pypi/pika/0.10.0

Comment 3 Raphael Groner 2016-01-12 22:27:04 UTC
Please update this package! I'll attach my patch for the spec file.

Comment 4 Raphael Groner 2016-01-12 22:31:31 UTC
Created attachment 1114173 [details]
patch for v0.10.0 and add python3 support

Please use that patch to update the package with version 0.10.0 and it adds support for python3. Features also API documentation and execution of tests.

Comment 5 Raphael Groner 2016-02-03 23:02:43 UTC
Another friendly ping?

Comment 6 Ilia Cheishvili 2016-02-04 06:13:03 UTC
I no longer have time/resources to maintain this package. Would anyone like to take it over?

Comment 7 Neal Gompa 2016-02-04 07:14:03 UTC
@Ilia

I'd be happy to take it on if Raphael doesn't want to.

Comment 8 Raphael Groner 2016-02-04 08:55:45 UTC
Hi Neal,

you can have python-pika, so feel free to take if you like. I maintain already too many packages for myself, but you can add me as co-maintainer.

Thanks!

Comment 9 Neal Gompa 2016-02-04 09:56:25 UTC
@Ilia

I've gone ahead and requested in PkgDB for maintainership of the Fedora branches.

Comment 10 Raphael Groner 2016-02-04 22:01:24 UTC
Caution! There's a version 0.10.0b2 at upstream, the b suffix means pre-release. Anitya confuses that.

Comment 11 Fedora Update System 2016-02-07 04:30:03 UTC
python-pika-0.10.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6705ca3f2

Comment 12 Fedora Update System 2016-02-07 04:31:05 UTC
python-pika-0.10.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fdfe1e1178

Comment 13 Raphael Groner 2016-02-07 09:22:37 UTC
Cool! This makes me happy to see things going further, thanks.

Comment 14 Raphael Groner 2016-02-07 09:51:10 UTC
Why did you not use my patch (see attachment)?

Especially, you did not add any %check how it's done in my patch. Some of the tests executed there need twisted, therefore this bug depends on twisted built for python3.

Comment 15 Neal Gompa 2016-02-07 19:23:29 UTC
@Raphael

Oops, I didn't see it. That said, I should probably exclude the adapters for Twisted, since Twisted isn't ported to Python 3 completely yet.

The lack of a full port is the primary reason against the twisted package being built for Python 3 in Fedora.

Likewise, I should probably exclude the PyEv adapters since PyEv isn't packaged for Fedora (unless you plan on packaging it?).

The tests will need to remain disabled for Python 3 due to a lack of dependencies, but I'll add in the code to test them for Python 2.

Comment 16 Fedora Update System 2016-02-08 04:20:01 UTC
python-pika-0.10.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6705ca3f2

Comment 17 Fedora Update System 2016-02-13 19:32:37 UTC
python-pika-0.10.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-545eb4251c

Comment 18 Raphael Groner 2016-02-13 20:23:13 UTC
The tests need a running rabbitmq server. I do not know how to execute rabbitmq in a mock (or koji) environment.

Comment 19 Fedora Update System 2016-02-15 03:53:05 UTC
python-pika-0.10.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-545eb4251c

Comment 20 Fedora Update System 2016-02-21 02:24:15 UTC
python-pika-0.10.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-02-21 16:30:01 UTC
python-pika-0.10.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-02-29 20:55:56 UTC
python-pika-0.10.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Raphael Groner 2016-07-10 07:10:47 UTC
@Neal,
I have enabled execution of tests and generation of documentation in rawhide and epel7.


Note You need to log in before you can comment on or make changes to this bug.